int _mode = 0;
int _maxModes = 4;

void onInit(CRules@ this)
{
	if (sv_test)
	{
		getHUD().ShowCursor();
	}
}

void onTick(CRules@ this)
{
	if (!sv_test)
		return;

	CControls@ controls = getControls();
	Vec2f mousepos = controls.getMouseWorldPos();

	if (controls.isKeyJustPressed(KEY_LBUTTON))
	{
		// grenade

		switch (_mode)
		{
			case 0:
			{
				CBlob@ blob = server_CreateBlob("grenade", 255, mousepos);
				if (blob !is null)
				{
					blob.server_SetTimeToDie(3.0f);
				}
			}
			break;
			case 1:
			{
				CBlob@ blob = server_CreateBlob("sandbag", 255, mousepos);
			}
			break;
			case 2:
			{
				CBlob@ blob = server_CreateBlob("supply", 255, mousepos);
			}
			break;
			case 3:
			{
				CBlob@ blob = server_CreateBlob("truck", 255, mousepos);
			}
			break;			
		}
	}

	if (controls.isKeyJustPressed(KEY_RBUTTON))
	{
		_mode++;
		if (_mode >= _maxModes)
		{
			_mode = 0;
		}
	}
}

void onRender(CRules@ this)
{
	if (!sv_test)
		return;

	CControls@ controls = getControls();
	string modeName = "";
	switch (_mode)
	{
		case 0: modeName = "grenade"; break;
		case 1: modeName = "crate"; break;
		case 2: modeName = "supply"; break;
		case 3: modeName = "truck"; break;
	}

	GUI::SetFont("irrlicht");
	GUI::DrawText(modeName, controls.getMouseScreenPos() + Vec2f(-15.0f, 25.0f), SColor(255, 19, 229, 99));
}
