#define CLIENT_ONLY

#include "GamemodeCommon.as"

void onTick( CRules@ this )
{
	CMixer@ mixer = getMixer();
	if (isMusicOn())
	{
		const u8 state = this.getCurrentState();
	
		if (mixer.getPlayingCount() == 0)
		{
			mixer.ResetMixer();
			mixer.AddTrack( this.get_string("lobby_music"), 0);
			mixer.FadeInRandom(0, 1.5f);	
		}
	}	
	else 
	{
		mixer.StopAll();
	}
}
